Subject: bug#32261: guix packages website: add mechanism to link to individual packages

From: Nils Gillmann <[email-masked]>
Date: Tue, 24 Jul 2018 16:52:32 +0000

Paul Wise transcribed 1.8K bytes:
> Hi all,
> 
> It used to be possible to link to individual Guix packages like this:
> 
> https://www.gnu.org/software/guix/packages/m.html#myrepos
> 
> Since the recent change to the packages website the packages pages are
> paginated and have no anchors, which means they will break as more
> packages are added and also I cannot link directly to a package,
> only to a location that contains lots of other packages too.
> 
> https://www.gnu.org/software/guix/packages/M/page/3/
> 
> Fixing this would be useful for the Repology support of GNU Guix,
> which currently cannot link to GNU Guix packages:
> 
> https://repology.org/repository/gnuguix
> https://repology.org/metapackage/myrepos/versions
> 
> -- 
> bye,
> pabs
> 
> https://bonedaddy.net/pabs3/

It is not just repology, but easy linking to details for external
parties/downstreams we need to point to somewhere.

I think there were some remaining ideas for the new websites,
where a package gets detail page on its own.

The pages are statically generated, the old "useful" page format
was taking a very long time to load, with each release and increase
of package count we got k more seconds. Nothing I'd like to go back
to.